summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Iskar Enev <iskar.enev[@]gmail.com>2010-05-13 00:35:30 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:35:30 +0200
commitb2ff69f8d403c33a776b36b9db3f3fa06f9aef35 (patch)
tree17ecfbe9deffa04f83f599ddfb1b8e48b94e65a0 /network
parentac54ee7a08e89ae19e4a0a54ac23af3ac5db0bba (diff)
downloadslackbuilds-b2ff69f8d403c33a776b36b9db3f3fa06f9aef35.tar.gz
slackbuilds-b2ff69f8d403c33a776b36b9db3f3fa06f9aef35.tar.xz
network/aMule: Updated for version 2.2.6
Diffstat (limited to 'network')
-rw-r--r--network/aMule/README8
-rw-r--r--network/aMule/aMule.SlackBuild24
-rw-r--r--network/aMule/aMule.info10
-rw-r--r--network/aMule/doinst.sh4
-rw-r--r--network/aMule/slack-desc13
5 files changed, 37 insertions, 22 deletions
diff --git a/network/aMule/README b/network/aMule/README
index cddb129b25..9212c36349 100644
--- a/network/aMule/README
+++ b/network/aMule/README
@@ -3,6 +3,8 @@ wxWidgets class library. It was originally forked from the xMule project,
which in turn was forked from the lMule project. This is turn was the
first fork of eMule to run nativly on Linux and other Unix-like systems.
-wxGTK is required for this to build; at least version 2.4.x of wxGTK is
-needed, but version 2.6.x is recommended (available at SlackBuilds.org).
-cryptopp is also required.
+This requires wxGTK and cryptopp.
+
+It was reported that aMule doesn't work very well (or at all) with
+cryptopp 5.6.0, so version 5.5.2 is recommended instead (you can build
+version 5.2.2 using the same build script for cryptopp-5.6.0).
diff --git a/network/aMule/aMule.SlackBuild b/network/aMule/aMule.SlackBuild
index 1a69810732..4d92caff0d 100644
--- a/network/aMule/aMule.SlackBuild
+++ b/network/aMule/aMule.SlackBuild
@@ -1,12 +1,12 @@
#!/bin/sh
# Slackware build script for aMule
-# Written by Iskar Enev (iskar.enev@gmail.com)
+# Written by Iskar Enev (<iskar.enev[@]gmail.com>)
# Modified by the SlackBuilds.org project
PRGNAM=aMule
-VERSION=${VERSION:-2.2.4}
+VERSION=${VERSION:-2.2.6}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -16,10 +16,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -28,7 +31,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -41,18 +44,22 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--with-wx-config=/usr/bin/wx-config \
- --disable-debug
+ --disable-debug \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -67,6 +74,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/aMule/aMule.info b/network/aMule/aMule.info
index 3aacf1d361..45a3a9fc1a 100644
--- a/network/aMule/aMule.info
+++ b/network/aMule/aMule.info
@@ -1,8 +1,10 @@
PRGNAM="aMule"
-VERSION="2.2.4"
+VERSION="2.2.6"
HOMEPAGE="http://www.amule.org"
-DOWNLOAD="http://downloads.sourceforge.net/amule/aMule-2.2.4.tar.bz2"
-MD5SUM="283c428dd2961a57f2691c455c845a42"
+DOWNLOAD="http://downloads.sourceforge.net/amule/aMule-2.2.6.tar.bz2"
+MD5SUM="530d9b48187e36f78fc21bb19e94326d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Iskar Enev"
EMAIL="<iskar.enev[@]gmail.com>"
-APPROVED="dsomero"
+APPROVED="rworkman"
diff --git a/network/aMule/doinst.sh b/network/aMule/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/network/aMule/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/network/aMule/slack-desc b/network/aMule/slack-desc
index d1fcb3cf29..04ee8ef471 100644
--- a/network/aMule/slack-desc
+++ b/network/aMule/slack-desc
@@ -7,14 +7,13 @@
|-----handy-ruler------------------------------------------------------|
aMule: aMule (multiplatform ed2k client)
-aMule:
+aMule:
aMule: aMule is a multiplatform ed2k client, fork of the eMule client,
aMule: using the wxWidgets class library, supporting Linux, *BSD platforms,
aMule: Solaris, *MacOSX and *Win32 (*soon). It was originally forked from
aMule: the xMule project, which in turn was forked from the lMule project.
-aMule:
-aMule:
-aMule:
-aMule:
-aMule:
-
+aMule:
+aMule:
+aMule:
+aMule:
+aMule: